Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Retrieve a PDF print-out of the corresponding document as binary content for Business Central.
Note
To generate a document in the supported local language, you must specify Accept-Language in the Request header, for example Accept-Language: nl-NL for Dutch.
HTTP request (v2.0)
Replace the URL prefix for Business Central depending on environment following the guideline. The following example gets a link to the content of the PDF:
GET businesscentralPrefix/api/v2.0/companies({id})/salesInvoices({id})/pdfDocument
Request headers (v2.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body (v2.0)
Don't supply a request body for this method.
Response (v2.0)
If successful, this method returns a 200 OK response code and a link to the PDF document in the response body.
Example (v2.0)
Request Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesInvoices({id})/pdfDocument
Response Here's an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"@odata.context":"https://api.businesscentral.dynamics.com/v2.0/api/v2.0/$metadata#companies('CRONUS%20International%20Ltd.')/salesInvoices(94913756-80e9-47bc-995a-048a655b8cdd)/pdfDocument",
"value":
[
{
"@odata.etag":"W/\"JzQ0O0tQNUdjaUtZcU8rcUNCQTdXOUxIZVEwalA0clhjSmlXU1pqWjQ4RFczd2s9MTswMDsn\"",
"id":"94913756-80e9-47bc-995a-048a655b8cdd",
"content@odata.mediaReadLink":"https:// api.businesscentral.dynamics.com/v2.0/pi/v2.0/companies(name='CRONUS%20International%20Ltd.')/salesInvoices(94913756-80e9-47bc-995a-048a655b8cdd)/pdfDocument(94913756-80e9-47bc-995a-048a655b8cdd)/content"
}
]
}
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
The following example gets the actual PDF document:
GET businesscentralPrefix/api/v2.0/companies({companyid})/salesInvoices({invoiceid})/pdfDocument({invoiceid})/content
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Don't supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and the PDF document in the response body.
Example
Request Here's an example of the request.
GET https://{businesscentralPrefix}/api/v2.0/companies({companyid})/salesInvoices({invoiceid})/pdfDocument({invoiceid})/content
Response The PDF document in binary format.
Related information
Tips for working with the APIs
salesinvoice
Get salesinvoice
Delete salesinvoice
Create salesinvoice
Update salesinvoice